<!DOCTYPE html>
<html lang="en"> <!--  root tag -->
<head>
    <!-- head contains metadata -->
    <title>Welcome to My Webpage</title>
    <meta charset="UTF-8" />
    <!-- CSS links to external style sheets or internal CSS -->
    <style>
        /* internal css */
    </style>
    <link rel="stylesheet" type="text/css" href="styles.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
</head>
<body>

    <div id="content-div" class="container">
        
        <header>
            <h2>Hello and Welcome to Our Webpage</h2>
            <p>Here is some content on our super cool page</p>
        </header>

        <h4>Here's a list of all of my cats:</h4>
        <div class="form-check form-switch">
            <input class="form-check-input" type="checkbox" id="showAdoptableCats">
            <label class="form-check-label" for="showAdoptableCats">Show only adoptable cats</label>
        </div>
        <ol id="cat-list" class="list-group">
        </ol>
        

        <figure>
            <img src="https://image.shutterstock.com/image-photo/row-seven-maine-coons-facing-260nw-1008130507.jpg" alt="a pic of my 7 cats">
            <figcaption>All 7 of My Cats</figcaption>
        </figure>

        <p><a href="https://www.humanesociety.org/sites/default/files/styles/1240x698/public/2020-07/kitten-510651.jpg?h=f54c7448&itok=ZhplzyJ9">Here</a> is another very cute cat</p>


        <table class="table">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Color(s)</th>
                </tr>                
            </thead>
            <tbody id="cat-table-body">

            </tbody>
        </table>

        <div id="adoption-form">
            <h2 id="form-heading">Interested in Adopting?</h2>
            <form method="GET" class="container">
                <label>Name:</label>
                <input class="form-control" name="name" >
                <br>
                <label>Email:</label>
                <input class="form-control" type="email" name="email">
                <br>
                <p>Do you have other cats?</p>
                <label>Yes</label>
                <input type="radio" name="other-cats" value="yes">
                <br>
                <label>No</label>
                <input type="radio" name="other-cats" value="no">

                <br>
                <label>Which cat are you interested in adopting?</label>
                <select id="cat-name-select" class="form-select" name="cat-name">
                </select>
                <br>
                <input type="submit" class="btn btn-outline-info" value="Submit Adoption Inquiry">
            </form>
        </div>

        <footer>
            <p>Thanks for checking the website!</p>
        </footer>
    </div>
    <script>console.log("Hello World");</script>
    <script src="intro.js"></script>
    <script src="cats.js"></script>
</body>
</html>